Subject: SUM: DeFT under linux

From: <[email-masked]>
Date: Tue, 13 Feb 1996 17:27:24 +0000 (O)

Hello everybody

A few weeks ago i sent the following message :

>Dear netters
>
>I am trying to compile the density functional code DeFT on a pentium 75
>running linux 1.2.1 using f2c and gcc.
>
>The compilation of the code was quite simple and reletively fast, the only
>warning reported was :
>" local variable  ...... never used "   which i believe is harmless .
>
>The linking of the object however gave an error :
>" main.o : could not read symbols : Bad value "
>
>I do not know what to do with it, i would appreciate any help.
>
>Ashraf Talib Al-Hinai
>
I recived several comments on the issue.

I was advised to use the f77 script rather than the two steps , f2c and gcc. 
This did not solve the problem but it did make the work much easier.

The other comments were about the sizes of the arrays in the main.f . A small
reduction in the sizes of the arrays made the linking work. 

I would like to thank all the ccl'ers who responded to my message.

Ashraf